package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("market_award_log")
public class MarketAwardLog {
    @TableId
    private String id;

    @TableField(value = "award_id")
    @ApiModelProperty("奖品id")
    private String awardId;

    @TableField(value = "user_id")
    @ApiModelProperty("用户id")
    private String userId;

    @TableField(value = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("发放时间")
    private LocalDateTime createTime;

    @TableField(value = "distribution_status")
    @ApiModelProperty("发放状态 0 已发放 1 未发放")
    private String distributionStatus;

    @TableField(value = "winning_method")
    @ApiModelProperty("中奖方式 0 抽奖 1 看广告")
    private String winningMethod;
}
