package com.ruoyi.web.controller.api;


import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.market.domain.MarketAdvertisingLibrary;
import com.ruoyi.market.domain.vo.AdvertisingVo;
import com.ruoyi.market.service.MarketAdvertisingCompanyService;
import com.ruoyi.market.service.MarketAdvertisingConfigService;
import com.ruoyi.market.service.MarketAdvertisingLibraryService;
import com.ruoyi.market.service.MarketAdvertisingLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "前端广告api管理")
@RestController
@RequestMapping("/advertising")
public class AdvertisingApiController {
    @Autowired
    RedisCache redisCache;
    @Resource
    private MarketAdvertisingLibraryService marketAdvertisingLibraryService;

    @PostMapping("/getCompany")
    @ApiOperation("抽取播放广告")
    public MarketAdvertisingLibrary getCompanyAdvertising(@RequestBody AdvertisingVo advertisingVo) {
        return marketAdvertisingLibraryService.getCompanyAdvertising(advertisingVo);
    }
}
