package com.ruoyi.web.controller.api;

import com.ruoyi.common.annotation.RequestSingleParam;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.market.domain.vo.UserQueryVo;
import com.ruoyi.market.service.MarketUserDrawService;
import com.ruoyi.market.service.MarketUserWechatService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "用户管理")
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private MarketUserWechatService marketUserWechatService;


    @PostMapping("bindUser")
    public AjaxResult bindUser(@RequestBody UserQueryVo userQueryVo){
        return marketUserWechatService.bindUser(userQueryVo.getUserId(), userQueryVo.getUnionId())
        ?AjaxResult.success("绑定用户成功") : AjaxResult.error("绑定用户失败");
    }



}
